scim::Slot1< R, P1 > Class Template Referenceabstract
SignalSlot

Base class template for slots passing one argument of type P1 and returning a value of type R. More...

`#include <scim_slot.h>`

## Public Member Functions

virtual R | call (P1 p1) const =0
| Calls the signal handler connected to this slot.
R | operator() (P1 p1) const
| Function operator; Calls call().
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Protected Member Functions

| Slot1 ()
| Constructor.
Protected Member Functions inherited from scim::Slot
| Slot ()
| Constructor.
virtual | ~Slot ()=0
| Destructor.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Detailed Description

template<typename R, typename P1>
class scim::Slot1< R, P1 >

Base class template for slots passing one argument of type P1 and returning a value of type R.

## Constructor & Destructor Documentation

## Slot1()

template<typename R, typename P1>

scim::Slot1< R, P1 >::Slot1 | ( |  | ) |

inline protected

Constructor.

## Member Function Documentation

## call()

template<typename R, typename P1>

virtual R scim::Slot1< R, P1 >::call | ( | P1 | p1 | ) | const

pure virtual

Calls the signal handler connected to this slot.

Implemented in scim::BoundSlot1_2< R, P1, P2 >, scim::FunctionSlot1< R, P1 >, scim::MethodSlot1< T, R, P1 >, and scim::SignalSlot1< T, R, P1 >.

Referenced by scim::Slot1< void, const ConfigPointer & >::operator()().

## operator()()

template<typename R, typename P1>

R scim::Slot1< R, P1 >::operator() | ( | P1 | p1 | ) | const

inline

Function operator; Calls call().

The documentation for this class was generated from the following file:

- scim_slot.h